Skip to content

Returns the latest authorized audit events for one Workflow Definition.

GET
/api/workspace/workflow/configuration/workflow-definitions/{workflowDefinitionId}/audit
curl --request GET \
--url 'https://example.com/api/workspace/workflow/configuration/workflow-definitions/example/audit?pageSize=50' \
--header 'Authorization: Bearer <token>'
workflowDefinitionId
required
string
pageSize
integer format: int32
default: 50
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Paged audit events list.

object
Items

Audit events.

Array<object>
nullable

Audit event display model.

object
Id

Audit event id.

string
nullable
OccurredAt

Timestamp of the event (UTC).

string format: date-time
Actor

Actor metadata for an audit event.

object
Id

User identifier, if any.

string
nullable
Name

Display name.

string
nullable
Email

Email address when available.

string
nullable
IsSystem

True for system actions.

boolean
Classifier

Classifier details for an audit event.

object
Id

Classifier id.

string
nullable
Code

Classifier code.

string
nullable
Name

Display name.

string
nullable
Path

Display path for the hierarchy.

string
nullable
Type

Rendering type for the UI.

string
nullable
Subject

Short localized subject.

string
nullable
Text

Optional localized description.

string
nullable
PrimaryObject

Object reference linked to an audit event.

object
ObjectType

Domain object type.

string
nullable
ObjectId

Domain object identifier.

string
nullable
ObjectName

Display name/title.

string
nullable
Role
integer format: int32
Allowed values: 0 1
AffectedObjects

Affected object references.

Array<object>
nullable

Object reference linked to an audit event.

object
ObjectType

Domain object type.

string
nullable
ObjectId

Domain object identifier.

string
nullable
ObjectName

Display name/title.

string
nullable
Role
integer format: int32
Allowed values: 0 1
DataItems

Additional data entries.

Array<object>
nullable

Key/value payload entry for audit UI.

object
LabelKey

Localization key for the label.

string
nullable
Value

Raw display value.

string
nullable
ValueKey

Optional localization key for the value.

string
nullable
RecordDataHidden

True when record names or event details were hidden because the reader lacks access to an existing record the event names or whose file it names, or to the fields, comments, files or change history the hidden details came from, or because the owner of a named file can no longer be determined. Hidden record names show the record type and ID only.

boolean
TotalCount

Total matching events.

integer format: int32
Page

Current page.

integer format: int32
PageSize

Page size.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"PrimaryObject": {
"Role": 0
},
"AffectedObjects": [
{
"Role": 0
}
]
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Not Found

Media typeapplication/json
object
Data

Paged audit events list.

object
Items

Audit events.

Array<object>
nullable

Audit event display model.

object
Id

Audit event id.

string
nullable
OccurredAt

Timestamp of the event (UTC).

string format: date-time
Actor

Actor metadata for an audit event.

object
Id

User identifier, if any.

string
nullable
Name

Display name.

string
nullable
Email

Email address when available.

string
nullable
IsSystem

True for system actions.

boolean
Classifier

Classifier details for an audit event.

object
Id

Classifier id.

string
nullable
Code

Classifier code.

string
nullable
Name

Display name.

string
nullable
Path

Display path for the hierarchy.

string
nullable
Type

Rendering type for the UI.

string
nullable
Subject

Short localized subject.

string
nullable
Text

Optional localized description.

string
nullable
PrimaryObject

Object reference linked to an audit event.

object
ObjectType

Domain object type.

string
nullable
ObjectId

Domain object identifier.

string
nullable
ObjectName

Display name/title.

string
nullable
Role
integer format: int32
Allowed values: 0 1
AffectedObjects

Affected object references.

Array<object>
nullable

Object reference linked to an audit event.

object
ObjectType

Domain object type.

string
nullable
ObjectId

Domain object identifier.

string
nullable
ObjectName

Display name/title.

string
nullable
Role
integer format: int32
Allowed values: 0 1
DataItems

Additional data entries.

Array<object>
nullable

Key/value payload entry for audit UI.

object
LabelKey

Localization key for the label.

string
nullable
Value

Raw display value.

string
nullable
ValueKey

Optional localization key for the value.

string
nullable
RecordDataHidden

True when record names or event details were hidden because the reader lacks access to an existing record the event names or whose file it names, or to the fields, comments, files or change history the hidden details came from, or because the owner of a named file can no longer be determined. Hidden record names show the record type and ID only.

boolean
TotalCount

Total matching events.

integer format: int32
Page

Current page.

integer format: int32
PageSize

Page size.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Items": [
{
"PrimaryObject": {
"Role": 0
},
"AffectedObjects": [
{
"Role": 0
}
]
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}